commit:     dc91bd4e2201afd46a19adf84aec88e11ae22320
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 22 09:22:25 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Apr 22 09:32:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc91bd4e

dev-python/pyface: 6.0.0 version bump w/o keywords

PyQt5 supporting release. Tests are problem for future maintainer.

Bug: https://bugs.gentoo.org/649106
Package-Manager: Portage-2.3.31, Repoman-2.3.9

 dev-python/pyface/Manifest            |  1 +
 dev-python/pyface/pyface-6.0.0.ebuild | 45 +++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/pyface/Manifest b/dev-python/pyface/Manifest
index 7d9f970e03d..25638886573 100644
--- a/dev-python/pyface/Manifest
+++ b/dev-python/pyface/Manifest
@@ -1,2 +1,3 @@
 DIST pyface-4.4.0.tar.gz 486490 BLAKE2B 
59c3d2facb35da015a5625b8d5dbab8f6347d3e0d78cbe8fa15d9587cd9a62bb7a4dadb9ffdf86f3d9cb927ee378577320a23cfa63485fb74294e7ea2f874b85
 SHA512 
62c93cbd5e956d56c03580876d5f9191210beb3d81cf8fcd0dfc6b2919263e4bf01219f1372e292fcac4462eaffb45cf9cde62dbe16265134b357dabc47d719d
 DIST pyface-4.5.2.tar.gz 5089390 BLAKE2B 
6615f9dd66dd8359df27ccc7ecab0678e0bf8370a81a43e74f7452b25e984ae806346dc56c61a2262c648cc580c59a095d06731f90d564b07596052efcfa15a2
 SHA512 
9f5f34960cce2180eec6c4ba1ef6e19069cb64a05db47644a70c1ff70b93927f80bc20f50cee72daf586722ad618bf19f53182986fef4b93ddb95d29f4a1fcbb
+DIST pyface-6.0.0.tar.gz 5238590 BLAKE2B 
df96cf46e54f540d8dde7c8c3c4844655e30275e4ce93563c2e1aab5aecf766db65c0f098aba532adb27f824d81a7b51e5d9e0635057d81e12870773f1a8c41c
 SHA512 
df411f737555b016e7801d4cb870d8553834150829a9c3fc5f4d3993633c4aee83dd4b41c14f254373d0334f3eba6e9e0f05b3276de5fd99290e3128949def00

diff --git a/dev-python/pyface/pyface-6.0.0.ebuild 
b/dev-python/pyface/pyface-6.0.0.ebuild
new file mode 100644
index 00000000000..584a3c09130
--- /dev/null
+++ b/dev-python/pyface/pyface-6.0.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 ) # python3_{4,5,6} not supported by traits* deps
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Enthought Tool Suite: Traits-capable windowing framework"
+HOMEPAGE="https://github.com/enthought/pyface";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS=""
+IUSE="examples test"
+
+RDEPEND="
+       >=dev-python/traits-4.1[${PYTHON_USEDEP}]
+       || (
+               (
+                       dev-python/pygments[${PYTHON_USEDEP}]
+                       
dev-python/PyQt5[gui,network,opengl,printsupport,svg,test?,webengine,widgets,${PYTHON_USEDEP}]
+               )
+               dev-python/wxpython:*[${PYTHON_USEDEP}]
+       )
+"
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               ${RDEPEND}
+               dev-python/traitsui[${PYTHON_USEDEP}]
+               dev-python/unittest2[${PYTHON_USEDEP}]
+               media-fonts/font-cursor-misc
+               media-fonts/font-misc-misc
+       )
+"
+
+RESTRICT="test"
+
+python_install_all() {
+       use examples && EXAMPLES=( examples/. )
+       distutils-r1_python_install_all
+}

Reply via email to